function H = powell_hessian1(x)
  %
  % A version of the powell_hessian() function which takes a column
  % 4-vector instead of four distinct arguments. See powell_hessian.m
  % for more information.
  %
  if (length(x) == 4)
    H = powell_hessian(x(1), x(2), x(3), x(4));
  else
    H = NA;
  end
end
